package com.jpattern.gwt.client;

import com.jpattern.gwt.client.history.IHistoryService;
import com.jpattern.gwt.client.logger.ILoggerService;
import com.jpattern.gwt.client.security.ISecurityContext;
import com.jpattern.gwt.client.serializer.ISerializerService;

/**
 * 
 * @author Francesco Cina'
 *
 * 12 Apr 2011
 */
public interface IApplicationSystem {

	void startSystem();
	
	void stopSystem();
	
	void addService(String serviceName, IService service);
	
	void setLoggerService(ILoggerService loggerService);

	void setServerCallService(IServerCallService serverCallService);

	void setSerializerService(ISerializerService serializerService);
	
	void setHistoryService(IHistoryService historyService);
	
	void setSecurityContext(ISecurityContext securityContext);
	
}
