package com.jpattern.gwt.client;

import com.jpattern.gwt.client.cache.CacheService;
import com.jpattern.gwt.client.cache.ICacheService;
import com.jpattern.gwt.client.history.IHistoryService;
import com.jpattern.gwt.client.history.NullHistoryService;
import com.jpattern.gwt.client.logger.ILoggerService;
import com.jpattern.gwt.client.logger.NullLoggerService;
import com.jpattern.gwt.client.security.ISecurityContext;
import com.jpattern.gwt.client.security.NullSecurityContext;
import com.jpattern.gwt.client.serializer.ISerializerService;
import com.jpattern.gwt.client.serializer.NullSerializerService;

/**
 * 
 * @author Francesco Cina'
 *
 * 12 Apr 2011
 */
public class NullApplicationProvider implements IApplicationProvider {

	@Override
	public ILoggerService getLoggerService() {
		return new NullLoggerService();
	}

	@Override
	public IService getService(String serviceName) {
		return new NullService();
	}

	@Override
	public IServerCallService getServerCallService() {
		return new NullServerCallService();
	}

	@Override
	public ISerializerService getSerializerService() {
		return new NullSerializerService();
	}

	@Override
	public ICacheService getCacheService() {
		return new CacheService();
	}

	@Override
	public IHistoryService getHistoryService() {
		return new NullHistoryService();
	}

	@Override
	public IManagedErrorService getManagedErrorService() {
		return new NullManagedErrorService();
	}

	@Override
	public ISecurityContext getSecurityContext() {
		return new NullSecurityContext();
	}

}
