package com.jpattern.gwt.client.security;

import java.util.List;

import com.jpattern.gwt.client.IService;

/**
 * 
 * @author cinafr
 *
 */
public interface ISecurityContext extends IService {

	/**
	 * Return current user in session
	 * @return
	 */
	IUserSession getUserSession();
	
	/**
	 * Change the current user in session
	 * @param userSession
	 */
	void setUserSession(IUserSession userSession);
	
	/**
	 * Return true if the current user has the roleName role
	 * @param roleName
	 */
	boolean isUserInRole(String roleName);

	/**
	 * Return true if:
	 * - the current user has at least one the roles in the 'roles' list.
	 * - the 'roles' list is empty 
	 * @param roles
	 */
	boolean isUserInRole(String[] roles);
	
	/**
	 * Return true if:
	 * - the current user has at least one the roles in the 'roles' list.
	 * - the 'roles' list is empty 
	 * @param roles
	 */
	boolean isUserInRole(List<String> roles);
	
	void addObserver(ISecurityContextObserver observer);
	
	void removeObserver(ISecurityContextObserver observer);

	/**
	 * Return true if the current userSession is valid
	 * @return
	 */
	boolean isUserValid();

}
