/* ----------------------------------------------------------------------------
*     PROJECT : EURES
*
*     PACKAGE : eu.europa.ec.empl.eures.xxx
*        FILE : UserData.java
*
*  CREATED BY : ARHS Developments
*          ON : 6 Oct 2011
*
* MODIFIED BY : ARHS Developments
*          ON : $LastChangedDate
*     VERSION : $LastChangedRevision
*
* ----------------------------------------------------------------------------
* Copyright (c) 2011 European Commission - DG EMPL
* ----------------------------------------------------------------------------
*/
package com.jpattern.gwt.client.security;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author ARHS Developments - cinafr
 * @version $Revision
 */
public class UserSession implements IUserSession {

	private final String username;
	private final boolean valid;
	private List<String> roles = new ArrayList<String>();
	
	public UserSession (String username, boolean valid) {
		this.username = username;
		this.valid = valid;
	}
	
	/**
	 * @return the username
	 */
	@Override
	public String getUsername() {
		return username;
	}
	
	/**
	 * @return the valid
	 */
	@Override
	public boolean isValid() {
		return valid;
	}


	@Override
	public List<String> getRoles() {
		return roles ;
	}
	
}
